<?php
/********************************************************************************
 
        Module:         common.inc
        Author:         Peter R. Schmidt
        Web Address:    http://www.prstech.com
        e-Mail:         peterschmidt@erols.com
        Description:    Video Web-to-Database Program in PHP
						Common Library functions
 
    Change Log
 
      Date      Person              Description
 
    09/01/00    Peter Schmidt       Started program

/*********************************************************************/
function common_header()
/********************************************************************/
{

//nocache;

?>

<HTML>
  <HEAD>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html">
    <META NAME = "Author" CONTENT = "Peter R. Schmidt, PRS Technologies, Inc.">
	<TITLE>Peter Schmidt's Video Database - PHP style</TITLE> 
	<BODY BGCOLOR="#ffffff"> 
	<FONT FACE="ARIAL"> 
  </HEAD>
    
<FONT COLOR="#0000A0" FACE="ARIAL">
<b><center><h1>Peter Schmidt's Video Database - PHP style</h1></b>
</FONT></center>

<?php    
}

/*********************************************************************/
function database_connection()
/********************************************************************/
{

global $g_database;
global $g_server;
global $g_login;
global $g_password;

  // Make a database connection

  $dbs = $g_database . "@" . $g_server;

  $connect_id = ifx_pconnect($dbs,$g_login,$g_password);

  if (!$connect_id) {
		echo "<BR>";
		echo "Unable to connect to Informix video database<br>\n";
		echo "dbs=$dbs, user login=$g_login<br>\n";
		chk_ifx_err1($connect_id);
  }

  return $connect_id;

}

/*********************************************************************/
function common_footer()
/*********************************************************************/
{

?>

	<HR SIZE=4 NOSHADE>
	</BODY>
	</HTML>

<?php

}

/*******************************************************************************
*   Function:       display_heading1
*******************************************************************************/

function display_heading1($heading_str) {

echo
"<FONT COLOR='#000000' FACE='ARIAL'>
<b><center><h2>$heading_str</h2></b>
</FONT>
    
</center>
    
<HR SIZE=4 NOSHADE>

<BR>";
        
}

/*********************************************************************/
function nocache()
/*********************************************************************/
{
   /*This piece of code was taken from the PHP manual*/

   header("Expires: Mon, 01 Jan 2000 05:00:00 GMT"); 
   header("Last-Modified: " . gmdate("D, d M Y H:i:s") . "GMT"); 
   header("Cache-Control: no-cache, must-revalidate"); //HTTP/1.1
   header("Pragma: no-cache");                         //HTTP/1.0

}

/*********************************************************************/
function chk_ifx_err1($result_id)
/*********************************************************************/
{

	/**************************************************
	The ifx_error function return the following string:

	x [SQLSTATE = aa bbb SQLCODE=cccc] 

	where 	x = space : no error 
			E : error 
			N : no more data 
			W : warning 
			? : undefined 
	*************************************************/

    $err_string = ifx_error($result_id);

    if ($err_string[0] == ' ') return;

	common_header;

    printf("<BR>Informix error: %s<BR><BR>\n%s<BR>\n", ifx_error($result_id), ifx_errormsg());

	common_footer;

    die;

}


?>
