<?php
/********************************************************************************
 
        Module:         add.inc
        Author:         Peter R. Schmidt
        Web Address:    http://www.prstech.com
        e-Mail:         peterschmidt@erols.com
        Description:    Video Web-to-Database Program in PHP
						Add (insert) new records
 
    Change Log
 
      Date      Person              Description
 
    09/01/00    Peter Schmidt       Started program

/*******************************************************************************
*
*   Function:       add_mode1
*   Author:         Peter R. Schmidt
*   Description:    Prepare to add to the database - display the input form
*					along with the java script used to verify the input
*
*******************************************************************************/

function add_mode1($input_array) {

?>


<FONT COLOR='#000000' FACE='ARIAL'>
<b><center><h2>Add New Records</h2></b>
</FONT></center>
    
<HR SIZE=4 NOSHADE>
<BR>
        
<FORM NAME='video_form' METHOD='POST' ACTION='video_db2.php3'
  	onSubmit='return verify(this);'>

<?php

display_javascript();

echo "<center>";

display_form1($input_array);

?>

<BR>

<center>

<table border=0 cellspacing=0 cellpadding=0> 
<tr>
    <td><center>
        <FORM METHOD="POST" ACTION="video_db2.php3"> 
            <input type=submit name="ACTION" value="Submit">
            <input type=hidden name="STAGE" value="3">
        </FORM>
    </center></td>
</tr>

<tr>
    <td><center>
        <FORM METHOD="POST" ACTION="video_db2.php3">
            <input type=submit name="ACTION" value="Main Menu">
            <input type=hidden name="STAGE" value="0">
        </FORM>
    </center></td>
</tr>
</table>
</center>

<?

}

/*******************************************************************************
*
*   Function:       add_mode2
*   Author:         Peter R. Schmidt
*   Description:    Add to the database 
*
*******************************************************************************/

function add_mode2($input_array) {

    display_heading1("Add Results");

	$flag_data = 0;
	$flag_insert = 0;

	$sql_txt = "insert into vhs (serial_id";

	while (list($key,$value) = each($input_array)) {	// for each element in the array...
		if ($value != "") {
			$sql_txt .= ", $key";
			$flag_data = 1;
		}

		if ($key == "type_code") {
			$type_code = $value;
		}

		if ($key == "tape_num") {
			$tape_num = $value;
		}
	}

	$sql_txt .= ") values (0";

	reset($input_array);		// RESET THE ARRAY'S INTERNAL POINTER BACK TO 1ST ELEMENT
    
	while (list($key,$value) = each($input_array)) {	// for each element in the array...
		if ($value != "") {
			$sql_txt .= ", \"$value\"";
		}
	}

	$sql_txt .= ");";

	//echo "Debug: $sql_txt<br>\n";

    $connect_id = database_connection();	// ESTABLISH A DATABASE CONNECTION

	if ($connect_id) {

		$statmt_id = ifx_query($sql_txt,$connect_id);	// INSERT RECORD

		if (!$statmt_id) {
   			echo "Unable to execute Informix sql statement<br>\n";
   			echo "$sql_txt<br>\n";
   			exit;
		}

		$flag_insert = 1;
	}

    if ($flag_insert) {
        echo "<H2><CENTER>Record Added.</CENTER></H2>\n";
    }

    display_menu1($type_code,$tape_num);                     # Menu: Query, Add-New, Add-Same

}

/*******************************************************************************
*
*   Function:       display_javascript
*   Author:         Peter R. Schmidt
*   Description:    Display the java script used to verify the input
*
*******************************************************************************/

function display_javascript() {

?> 

<SCRIPT LANGUAGE="JavaScript">

defaultStatus = "Peter Schmidt's Video Database - php style";       // Populate banner at bottom of form

///////////////////////////////////////////////
// Return true if numeric character

function isDigit (c)
{   return ((c >= "0") && (c <= "9")) }

/////////////////////////////////////////////////////////////////////////////////////////
// A utility function that returns true if a strings contains only whitespace characters.

function isblanks(s) {

    for (var i = 0; i < s.length; i++) {
        var c = s.charAt(i);
        if ((c != ' ') && (c != '\n') && (c != '\t')) return false;
    }
    return true;
}

/////////////////////////////////////////////////////////////////////////////////////////
//  Verify input fields

function verify(f) {

    var bad_fields  = "";
        
    for (var i = 0; i < f.length; i++) {
    
        var e = f.elements[i];
                
        //////////////////////////////////////////////
        // Check character variables for blank or null
        
        if (e.name == "title") {
             
                if ( (e.value == null) || (e.value == "") || isblanks(e.value)) {
                    bad_fields += "Title is required\n";
                }
                continue;
        }

        ////////////////////////////////////////////////////
        // Check pull-down lists for non-default selections
        
        if ( (e.name == "type_code") ) {
                            
                if ( (e.options[0].selected == true) && (e.options[0].text == "Choose Type of Video") ) {
                    bad_fields += "Type of Video is required\n";
                }
                continue;
        }   

        ////////////////////////////////////////////////////
        // Check numeric fields
        
        if ( (e.name == "tape_num")  ||
             (e.name == "hours")     ) {
        
            if (e.name == "tape_num") { f_desc = "Tape Number" }
            if (e.name == "hours")    { f_desc = "Hours" }
             
            if (e.name == "tape_num") {     // Check required numeric fields 
                if ( (e.value == null) || (e.value == "") || isblanks(e.value) ) {
                        bad_fields += f_desc + " is required\n";
                        continue;
                }
            }

            for (x = 0; x < e.value.length; x++) {  
                    if (!isDigit(e.value.charAt(x))) {  // Check that current character is number.
                        if (e.name == "hours") {        
                            if (e.value.charAt(x) == ".") { continue; }  // Allow decimal point
                        }
                        bad_fields += f_desc + " must contain only numeric digits (" + e.value + ")\n";
                        break;
                    }
            }
            continue;
        }   
    }
        
    ////////////////////////////////////////////////////////////////////////////////
    // Display error window if needed
    
    if (!bad_fields) return true;
    
    msg  = "________________________________________________\n\n";
    msg += "The form was not submitted because the following fields are\n";
    msg += "required or invalid. Please complete these fields and resubmit.\n";
    msg += "________________________________________________\n\n";
    msg += bad_fields + "\n";
    
    alert(msg);
    return false;
}

////////////////////////////////////////////////////////////////////////
// The end of javascript functions
</SCRIPT>

<?php

}

?> 

