<?php 

/********************************************************************************
 
        Module:         video_db2.php3
        Author:         Peter R. Schmidt
        Web Address:    http://www.prstech.com
        e-Mail:         peterschmidt@erols.com
        Description:    Video Web-to-Database Program in PHP
			Main Module
 
    Change Log
 
      Date      Person              Description
 
    09/01/00    Peter Schmidt       Started program

********************************************************************************/

require("common.inc");
require("menu.inc");
require("display_form.inc");
require("query.inc");
require("add.inc");
require("modify.inc");

$g_database  = "video";
$g_server    = "lapdog_shm";
$g_login     = "informix";
$g_password  = "informix";

common_header();

$input_array = array (
	"type_code" => $type_code,
	"tape_num"  => $tape_num,
	"title"     => $title,
	"hours"     => $hours,
	"comment"   => $comment
);

$modify_array = array (
	"pick_id"   => $pick_id,
	"pick_max"  => $pick_max,
	"pick_list" => $pick_list,
	"serial_id" => $serial_id
);

if ($STAGE == 0)   { 
	main_menu();   
} else {
	if (empty($STAGE)) { 
		main_menu(); 
	}
}

if ($STAGE == 1)   { 
	add_mode1($input_array);    
}

if ($STAGE == 2)   { 
	query_mode1($input_array); 
}

if ($STAGE == 3)   { 
	add_mode2($input_array);
}

if ($STAGE == 4)   { 
	query_mode2($input_array,$modify_array);
}

if ($STAGE == 5)   { 
	modify_mode1($modify_array);
}

if ($STAGE == 6)   { 
	modify_mode2($input_array,$modify_array);
}

if ($STAGE == 7)   { 
	delete_mode1($modify_array);
}

common_footer();

?>

